/*
 * Copyright 2012 StageBloc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

#import <Foundation/Foundation.h>

#pragma mark Notifications

extern NSString * const SBStageBlocAccountDidChangeNotification;
extern NSString * const SBStageBlocDidFailToRequestAccessNotification;


#pragma mark Handler

typedef void(^SBPreparedAuthorizationURLHandler)(NSURL *preparedURL);


#pragma mark -

@class SBAccount;

@interface SBStageBloc : NSObject

#pragma mark Accessors

+ (SBAccount *)account;


#pragma mark Manage Accounts

+ (void)requestAccessWithPreparedAuthorizationURLHandler:(SBPreparedAuthorizationURLHandler)aPreparedAuthorizationURLHandler;
+ (void)removeAccess;


#pragma mark Configuration

+ (void)setClientID:(NSString *)aClientID
             secret:(NSString *)aSecret
        redirectURL:(NSURL *)aRedirectURL;

+ (void)setClientID:(NSString *)aClientID
             secret:(NSString *)aSecret
        redirectURL:(NSURL *)aRedirectURL
    developmentMode:(BOOL)developmentMode;

#pragma mark OAuth2 Flow

+ (BOOL)handleRedirectURL:(NSURL *)URL;

@end
