/*
 * Copyright 2012 StageBloc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

#import "SBBundle.h"

@implementation SBBundle

+ (NSBundle *)bundle;
{
    static NSBundle *resourceBundle;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        resourceBundle = [[NSBundle alloc] initWithPath:[[NSBundle mainBundle] pathForResource:@"StageBloc" ofType:@"bundle"]];
        NSAssert(resourceBundle, @"Please move the StageBloc.bundle into the Resource Directory of your Application!"); 
    });
    return resourceBundle;
}

+ (UIImage *)imageWithName:(NSString *)aName;
{
    NSBundle *bundle = [self bundle];
    NSString *path = [bundle pathForResource:aName ofType:@"png"];
    return [UIImage imageWithContentsOfFile:path];
}


@end
