/*
 * Copyright 2012 StageBloc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

#import "SBBundle.h"

#import "SCConnectToStageBlocTitleView.h"

@implementation SCConnectToStageBlocTitleView

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
        
        self.backgroundColor = [UIColor blackColor];
        
        self.autoresizingMask = (UIViewAutoresizingFlexibleWidth);
        
        UILabel *sLabel = [[UILabel alloc] initWithFrame:CGRectMake(13.0, 5.0, 12.0, 17.0)];
        [sLabel setBackgroundColor:[UIColor clearColor]];
        [sLabel setTextColor:[UIColor whiteColor]];
        [sLabel setShadowColor:[UIColor colorWithRed:0.0 green:0.0 blue:0.0 alpha:0.5]];
        [sLabel setShadowOffset:CGSizeMake(0.0, -1.0)];
        [sLabel setFont:[UIFont fontWithName:@"HelveticaNeue-Bold" size:17.0]];
        [sLabel setText:@"S"];
        [self addSubview:sLabel];
        [sLabel release];
        
        UILabel *bLabel = [[UILabel alloc] initWithFrame:CGRectMake(21.0, 5.0, 12.0, 17.0)];
        [bLabel setBackgroundColor:[UIColor clearColor]];
        [bLabel setTextColor:[UIColor whiteColor]];
        [bLabel setShadowColor:[UIColor colorWithRed:0.0 green:0.0 blue:0.0 alpha:0.5]];
        [bLabel setShadowOffset:CGSizeMake(0.0, -1.0)];
        [bLabel setFont:[UIFont fontWithName:@"HelveticaNeue-Bold" size:17.0]];
        [bLabel setText:@"B"];
        [self addSubview:bLabel];
        [bLabel release];
        
        UILabel *connectLabel = [[UILabel alloc] initWithFrame:CGRectMake(43.0, 6.0, 200.0, 15.0)];
        [connectLabel setBackgroundColor:[UIColor clearColor]];
        [connectLabel setTextColor:[UIColor whiteColor]];
        [connectLabel setShadowColor:[UIColor colorWithRed:0.0 green:0.0 blue:0.0 alpha:0.5]];
        [connectLabel setShadowOffset:CGSizeMake(0.0, -1.0)];
        [connectLabel setFont:[UIFont fontWithName:@"HelveticaNeue-Bold" size:13.0]];
        [connectLabel setText:@"Connect to StageBloc"];
        [self addSubview:connectLabel];
        [connectLabel release];
    }
    return self;
}

- (void)drawRect:(CGRect)rect;
{
    CGRect topLineRect;
    CGRect gradientRect;
    CGRect bottomLineRect;
    CGRectDivide(self.bounds, &topLineRect, &gradientRect, 0.0, CGRectMinYEdge);
    CGRectDivide(gradientRect, &bottomLineRect, &gradientRect, 1.0, CGRectMaxYEdge);
    
    CGContextRef context = UIGraphicsGetCurrentContext();
    
    CGColorSpaceRef colorSpace = CGColorSpaceCreateDeviceRGB();
    CGGradientRef gradient = CGGradientCreateWithColorComponents(colorSpace,
                                                                 (CGFloat[]){102.0/255.0, 185.0/255.0, 1.0,         1.0,
                                                                             58.0/255.0,  117.0/255.0, 167.0/255.0, 1.0},
                                                                 (CGFloat[]){0.0, 1.0},
                                                                 2);
    CGContextDrawLinearGradient(context, gradient, gradientRect.origin, CGPointMake(gradientRect.origin.x, CGRectGetMaxY(gradientRect)), 0);
    CGGradientRelease(gradient);
    CGColorSpaceRelease(colorSpace);
    
    CGContextSetFillColor(context, (CGFloat[]){0.0,0.0,0.0,1.0});
    CGContextFillRect(context, topLineRect);
}

@end
